Name:           gnome-calculator
Version:        3.38.2
Release:        2
Summary:        A GNOME desktop calculator application

License:        GPLv3+
URL:            https://wiki.gnome.org/Apps/Calculator
Source0:        https://download.gnome.org/sources/%{name}/3.38/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils gettext itstool libmpc-devel libsoup-devel meson mpfr-devel
BuildRequires:  pkgconfig(glib-2.0) pkgconfig(gtk+-3.0) pkgconfig(gtksourceview-4) pkgconfig(libxml-2.0)
BuildRequires:  /usr/bin/appstream-util vala vala-devel pkgconfig(gee-0.8)

Provides:  gcalctool = 6.6.2-3
Obsoletes: gcalctool < 6.6.2-3


%description
it is a powerful desktop calculator with logical, scientific
and financial modes. It uses a multi-precision package to
achieve a high degree of accuracy.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The gnome-calculator-devel package contains libraries and header files for
developing applications that use gnome-calculator.


%package        help
Summary:        Documents for gnome-calculator
Requires:       man
BuildArch:      noarch

%description    help
Man pages for gnome-calculator.

%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install
%find_lang gnome-calculator --with-gnome --all-name


%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/org.gnome.Calculator.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.gnome.Calculator.desktop


%files -f gnome-calculator.lang
%license COPYING
%doc NEWS
%{_bindir}/*
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/libgcalc-2.so.1*
%{_libdir}/libgci-1.so.0*
%{_libexecdir}/*
%{_datadir}/applications/*
%{_datadir}/dbus-1/services/*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/gnome-shell/
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Calculator*.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Calculator-symbolic.svg
%{_datadir}/metainfo/org.gnome.Calculator.appdata.xml

%files devel
%{_includedir}/gci-2/
%{_includedir}/gcalc-2/
%{_libdir}/libgcalc-2.so
%{_libdir}/libgci-1.so
%{_libdir}/pkgconfig/gcalc-2.pc
%{_libdir}/pkgconfig/gci-1.pc
%{_datadir}/gir-1.0/GCalc-2.gir
%{_datadir}/gir-1.0/GCi-1.gir
%{_datadir}/devhelp/*
%{_datadir}/vala/vapi/gcalc-2.deps
%{_datadir}/vala/vapi/gcalc-2.vapi
%{_datadir}/vala/vapi/gci-1.deps
%{_datadir}/vala/vapi/gci-1.vapi

%files help
%{_mandir}/man1/*


%changelog
* Thu May 19 2022 loong_C <loong_c@yeah.net> - 3.38.2-2
- fix spec changelog date

* Wed Jun 16 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.2-1
- Upgrade to 3.38.2
- Delete 0001-Fix-compiler-errors.patch which existed in version 3.38.2
- Add sub package gnome-calculator-devel

* Wed Jun 10 2020 lizhenhua <lizhenhua21@huawei.com> - 3.30.1-3
- Add patch to fix compiler errors

* Wed Nov 27 2019 huyan <hu.huyan@huawei.com> - 3.30.1-2
- Package Initialization
